// EdIRPrtF.cpp : implementation file
//

#include "stdafx.h"

#include "Defines.hpp"

#ifdef D_ED_IR_ACTIVE

#include "EdIRPrtF.hpp"

#include "EdIRPrtV.hpp"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPA_EdIR_PrintFrame dialog
/////////////////////////////////////////////////////////////////////////////

IMPLEMENT_DYNCREATE(CPA_EdIR_PrintFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CPA_EdIR_PrintFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CPA_EdIR_PrintFrame)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/**********************************************************************************/
CPA_EdIR_PrintFrame::CPA_EdIR_PrintFrame()
{
}

/**********************************************************************************/
CPA_EdIR_PrintFrame::~CPA_EdIR_PrintFrame()
{
}

/////////////////////////////////////////////////////////////////////////////
// CPA_EdIR_PrintFrame message handlers

/**********************************************************************************/
BOOL CPA_EdIR_PrintFrame::m_fn_bCreate(CPA_EdIR_DiagView *pclDiagView,CString csWindowName,CRect crRect) 
{
	CCreateContext	clPrintFrameContext;
	
	clPrintFrameContext.m_pNewViewClass=RUNTIME_CLASS(CPA_EdIR_PrintView);
	clPrintFrameContext.m_pCurrentDoc=NULL;
	clPrintFrameContext.m_pNewDocTemplate=NULL;
	clPrintFrameContext.m_pLastView=NULL;
	clPrintFrameContext.m_pCurrentFrame=this;

	BOOL bRes=CFrameWnd::Create(NULL,csWindowName,WS_OVERLAPPEDWINDOW|WS_VISIBLE,crRect,NULL,NULL,0,&clPrintFrameContext);

	if(bRes)
	{
		CPA_EdIR_PrintView	*pclPrintView=(CPA_EdIR_PrintView *)clPrintFrameContext.m_pNewViewClass->CreateObject();

		pclPrintView->m_fn_bCreate(this);

		pclPrintView->m_pclDiagView=pclDiagView;

		pclPrintView->m_fn_vPrintPreview();
	}

	return bRes;
}

#endif //D_ED_IR_ACTIVE
